Sazabi
APIArtifacts

Download an artifact

Create a short-lived signed URL for an artifact

GET https://api.sazabi.com/v1/artifacts/{artifactId}/download

GET
/artifacts/{artifactId}/download

Path Parameters

artifactId*string

Artifact to download.

Formatuuid

Query Parameters

projectId?string

Project containing the artifact.

Formatuuid

Response Body

application/json

curl -X GET "https://example.com/artifacts/497f6eca-6276-4993-bfeb-53cbbbba6f08/download"
{  "url": "http://example.com",  "expiresAt": "2019-08-24T14:15:22Z",  "contentType": "string",  "sizeBytes": 0}